java.util.jar

## Class JarException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.util.zip.ZipException
        - - java.util.jar.JarException

All Implemented Interfaces:
  Serializable

    public class JarException
    extends ZipException

Signals that an error of some sort has occurred while reading from or writing to a JAR file.

Since:
  1.2
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JarException()` Constructs a JarException with no detail message.
`JarException(String s)` Constructs a JarException with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JarException

    public JarException()

Constructs a JarException with no detail message.

#### JarException

    public JarException(String s)

Constructs a JarException with the specified detail message.

Parameters:
  `s` - the detail message

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.